<?php
function page_builder_front_meta() {
	global $wpdb;
	global $post;
	$page_builder_hid 		= get_post_meta( $post->ID, '_page_builder_hid_meta_value', true );
	$page_builder_hid_width 		= get_post_meta( $post->ID, '_page_builder_hid_width_meta_value',true);
	$page_builder_hid_position 			= get_post_meta( $post->ID, '_page_builder_hid_position_meta_value',true);			 
	$id_pieces = explode("||wd||", $page_builder_hid);
	if(count($id_pieces)==1 && $id_pieces[0]=="") return;
	
	$width_pieces = explode("||wd||", $page_builder_hid_width);
	$position_pieces = explode("||wd||", $page_builder_hid_position);
?>

<?php	
	
	echo "<style id='page_builder'>";
	
	for($i=0; $i<count($id_pieces); $i++){
		
		if(isset($width_pieces[$i])) $element_width = $width_pieces[$i]; else $element_width = "";
		if(isset($position_pieces[$i])) $element_position = $position_pieces[$i]; else $element_position = "";
			?>

#<?php echo $id_pieces[$i] ?>{
<?php
					echo  $element_width !='' ? "width: ".$element_width."%;" : '';
					echo  $element_position !='' ? "float: ".$element_position.";" : '';
					echo "position: relative;";
					?>

}
<?php
	}
	echo "</style>";
?>

<?php	
}
add_filter('wp_head', 'page_builder_front_meta');
?>