<?php 
/*
Plugin Name: Page Builder
Plugin URI: https://web-dorado.com/products/wordpress-page-builder-plugin.html
Description: Simple yet powerful plugin to customize layouts of pages and posts. Add custom styles for sidebars and content, change their sizes and alignments.
Version: 0.1.0
Author: http://web-dorado.com/
License: GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/


// Languages localization.
function page_builder_language_load() {
  load_plugin_textdomain('page-builder', FALSE, basename(dirname(__FILE__)) . '/languages');
}
add_action('init', 'page_builder_language_load');


	 
/////////////////////////////////////////////////////////////////////// meta parametrs
require_once('includes/page_builder_meta.php'); 	//// add meta date in page and posts
require_once('includes/front_end_meta.php'); 	/// get modifide and insert meta in head

add_action('admin_menu', 'page_builder_options_panel');

function page_builder_options_panel(){
	add_menu_page(	__('Page Builder','page-builder') , __('Page Builder','page-builder'), 'manage_options', 'page_builder_licensing', 'page_builder_licensing',plugins_url('images/page_builder.png',__FILE__))  ;
	add_submenu_page('page_builder_licensing', __('Get plugin','page-builder')  , 'licensing', 'manage_options', 'page_builder_licensing', 'page_builder_licensing');
}

function page_builder_licensing(){	?>   
   <div style="width:95%">
		<p>This plugin is the non-commercial version of the Page builder. </p>

    <p>Simple yet powerful plugin to customize layouts of pages and posts. Add custom styles for sidebars and content, change their sizes and alignments.</p>
<ol>
<li>Change sidebar and content widths.</li>
<li>Create any layout by aligning sidebars and content as you want.</li>
<li>Unique layout for every page and post.</li>
<li>Works with almost any theme. Requires only simple html knowledge. Only id of sidebar is needed.</li>
</ol>

		<br /><br />
		<a href="https://web-dorado.com/products/wordpress-page-builder-plugin.html" class="button-primary" target="_blank">Go to plugin's page</a>
	</div>
<?php		}
///////////////////////////////// when plugin activated
register_activation_hook( __FILE__, 'page_builder_activate' );
function page_puilder_activate(){
	global $wpdb;
}